import { Command, flags } from '@oclif/command';
import { OutputFlags } from '@oclif/parser';
declare class TypeormUmlCommand extends Command {
    static description: string;
    static args: {
        name: string;
        required: boolean;
        description: string;
        default: string;
    }[];
    static flags: {
        connection: flags.IOptionFlag<string>;
        format: flags.IOptionFlag<string>;
        monochrome: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        download: flags.IOptionFlag<string>;
        uml: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        names: flags.IOptionFlag<string[]>;
        exclude: flags.IOptionFlag<string>;
        include: flags.IOptionFlag<string>;
    };
    flags: OutputFlags<typeof TypeormUmlCommand.flags>;
    include?: Array<string | RegExp>;
    exclude?: Array<string | RegExp>;
    outEntities: boolean;
    outTables: boolean;
    run(): Promise<any>;
    private getUml;
    private getUrl;
    private download;
    private buildUml;
    private getEntityKey;
    private getColumnKey;
    private isEntityIncluded;
    private buildClass;
    private buildColumn;
    private buildForeignKeys;
    private getColumnLength;
}
export = TypeormUmlCommand;
